package com.icing.dialer.services

import android.content.Context
import android.content.Intent
import android.net.Uri
import android.telecom.TelecomManager
import android.os.Build
import android.util.Log

object CallService {
    
    fun makeGsmCall(context: Context, phoneNumber: String) {
        try {
            val intent = Intent(Intent.ACTION_CALL)
            intent.data = Uri.parse("tel:$phoneNumber")
            context.startActivity(intent)
        } catch (e: Exception) {
            Log.e("CallService", "Error making GSM call: ${e.message}")
        }
    }

    fun hangUpCall(context: Context) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.P) {
            val telecomManager = context.getSystemService(Context.TELECOM_SERVICE) as TelecomManager
            telecomManager.endCall()
        } else {
            Log.e("CallService", "Hangup call is only supported on Android P or later.")
        }
    }
}